DatabaseMetaDataTypeInfoTest (jTDS API)
Keywords: net.sourceforge.jtds.test.DatabaseMetaDataTypeInfoTest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class DatabaseMetaDataTypeInfoTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jtds.test.TestBase
                  net.sourceforge.jtds.test.DatabaseTestCase
                      net.sourceforge.jtds.test.MetaDataTestCase
                          net.sourceforge.jtds.test.DatabaseMetaDataTypeInfoTest

All Implemented Interfaces:
  junit.framework.Test

public class DatabaseMetaDataTypeInfoTest
extends MetaDataTestCase

Tests for DatabaseMetaData.getTypeInfo().

Version:
  $Id: DatabaseMetaDataTypeInfoTest.java,v 1.1 2005/01/05 12:24:14 alin_sinpalean Exp $
Author:
  David Eaves

Field Summary
`private java.sql.ResultSet` | `typeInfoRs`

Fields inherited from class net.sourceforge.jtds.test.DatabaseTestCase
``

Fields inherited from class net.sourceforge.jtds.test.TestBase
`con, props`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`DatabaseMetaDataTypeInfoTest(java.lang.String testName)`

Method Summary
`private void` | `checkOrder(java.util.List typeNames, java.lang.String firstTypeName, java.lang.String secondTypeName)`
`private java.util.List` | `getTypeNamesInOrder()`
`static void` | `main(java.lang.String[] args)`
`void` | `setUp()`
`void` | `tearDown()`
`void` | `testColumnNames()`
`void` | `testNvarcharNormalized()`
`void` | `testOrderedByDatatype()` Check types ordered by data type.
`void` | `testOrderedByTypeMapping()` Check that types with the same JDBC data type are ordered by closest match to the standard JDBC type.

Methods inherited from class net.sourceforge.jtds.test.MetaDataTestCase
`checkColumnNames`

Methods inherited from class net.sourceforge.jtds.test.DatabaseTestCase
`compareBytes, dropFunction, dropProcedure, dropProcedure, dropTable, getLongString, getLongString, getType, getTypemap`

Methods inherited from class net.sourceforge.jtds.test.TestBase
`compareInputStreams, compareReaders, connect, dump, dumpRow, getConnection, getConnection, makeObjects, makeTestTables`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### typeInfoRs

    private java.sql.ResultSet typeInfoRs

Constructor Detail

### DatabaseMetaDataTypeInfoTest

    public DatabaseMetaDataTypeInfoTest(java.lang.String testName)

Method Detail

### main

    public static void main(java.lang.String[] args)

### setUp

    public void setUp()
               throws java.lang.Exception

  Overrides:
    `setUp` in class `TestBase`
  Throws:
    `java.lang.Exception`

### tearDown

    public void tearDown()
                  throws java.lang.Exception

  Overrides:
    `tearDown` in class `TestBase`
  Throws:
    `java.lang.Exception`

### testOrderedByDatatype

    public void testOrderedByDatatype()
                               throws java.lang.Exception

  Check types ordered by data type.

  Throws:
    `java.lang.Exception`

### testOrderedByTypeMapping

    public void testOrderedByTypeMapping()
                                  throws java.lang.Exception

  Check that types with the same JDBC data type are ordered by closest match to the standard JDBC type.

  Throws:
    `java.lang.Exception`

### testColumnNames

    public void testColumnNames()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testNvarcharNormalized

    public void testNvarcharNormalized()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### checkOrder

    private void checkOrder(java.util.List typeNames,
                            java.lang.String firstTypeName,
                            java.lang.String secondTypeName)

### getTypeNamesInOrder

    private java.util.List getTypeNamesInOrder()
                                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009